Arch Floor/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Userdocnavi/ru}}")
No edit summary
 
(22 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
{{Docnav/ru
|[[Arch_Building/ru|Здание]]
|[[Arch_Reference/ru|Вставить объект из файла]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Building.svg
|IconR=Arch_Reference.svg
|IconC=Workbench_Arch.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 6: Line 14:
|Name=Arch Floor
|Name=Arch Floor
|Name/ru=Arch Floor
|Name/ru=Arch Floor
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|MenuLocation=Архитектура → Этаж
|MenuLocation=Архитектура → Этаж
|Shortcut=F L
|Shortcut={{KEY|F}} {{KEY|L}}
|SeeAlso=[[Arch Building/ru|Здание]], [[Arch Site/ru|Место]]
|SeeAlso=[[Arch Building/ru|Здание]], [[Arch BuildingPart]], [[Arch Site/ru|Место]]
}}
}}
</div>
</div>


==Описание==
==Description==


The [[Arch Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.
The [[Arch Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.


Starting from FreeCAD 0.18, the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.


==Применение==
==How to use==


# Optionally, select one or more objects to be included in your new floor.
# Optionally, select one or more objects to be included in your new floor.
# Invoke the Arch Floor command several ways:
# Press the {{Button|[[Image:Arch Floor.svg|16px]] [[Arch Floor]]}} button or press the {{KEY|F}} then {{KEY|L}} keys.
#* Pressing the {{Button|[[Image:Arch Floor.svg|16px]] [[Arch Floor|Arch Floor]]}} button on the toolbar.
#* Using the {{KEY|L}} then {{KEY|V}} keyboard keys.
#* Using the {{MenuCommand|Arch → Floor}} entry from the top menu.


==Options==
==Опции==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==Свойства==
==Properties==


An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Role}} set to {{incode|"Building Storey"}}.
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.


==Программирование==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].


The Floor tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Floor tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Line 43: Line 54:
* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.
* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.


Пример:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 62: Line 74:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}


{{Arch Tools navi/ru}}


{{Userdocnavi/ru}}
{{Docnav/ru
|[[Arch_Building/ru|Здание]]
|[[Arch_Reference/ru|Вставить объект из файла]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Building.svg
|IconR=Arch_Reference.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:46, 26 August 2022

Arch Floor

Системное название
Arch Floor
Расположение в меню
Архитектура → Этаж
Верстаки
Arch
Быстрые клавиши
F L
Представлено в версии
-
См. также
Здание, Arch BuildingPart, Место

Описание

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Применение

  1. Optionally, select one or more objects to be included in your new floor.
  2. Invoke the Arch Floor command several ways:
    • Pressing the Arch Floor button on the toolbar.
    • Using the L then V keyboard keys.
    • Using the Arch → Floor entry from the top menu.

Опции

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Свойства

An Arch Floor object shares all properties from an Arch BuildingPart, with the ДанныеIfc Type set to "Building Storey".

Программирование

См. так же: Arch API и Основы составления скриптов в FreeCAD.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()